# Makefile
#
SRC := $(shell pwd)

obj-m := mostcore.o
mostcore-y := mostcore/core.o
CFLAGS_core.o := -I$(src)/include/

obj-m += aim_cdev.o
aim_cdev-y := aim-cdev/cdev.o
CFLAGS_cdev.o := -I$(src)/include/

obj-m += aim_network.o
aim_network-y := aim-network/networking.o
CFLAGS_networking.o := -I$(src)/include/

obj-m += aim_sound.o
aim_sound-y := aim-sound/sound.o
CFLAGS_sound.o := -I$(src)/include/

obj-m += aim_v4l2.o
aim_v4l2-y := aim-v4l2/video.o
CFLAGS_video.o := -Idrivers/media/video -I$(src)/include/

obj-m += hdm_i2c.o
hdm_i2c-y := hdm-i2c/hdm_i2c.o
CFLAGS_hdm_i2c.o := -I$(src)/include/

ifdef CONFIG_OF
obj-m += hdm_dim2.o
hdm_dim2-y := hdm-dim2/dim2_hdm.o hdm-dim2/dim2_hal.o hdm-dim2/dim2_sysfs.o
CFLAGS_dim2_hdm.o := -I$(src)/include/
endif

obj-m += hdm_usb.o
hdm_usb-y := hdm-usb/hdm_usb.o
CFLAGS_hdm_usb.o := -I$(src)/include/


all:
	$(MAKE) -C $(KERNEL_SRC) M=$(SRC) modules

modules_install:
	$(MAKE) -C $(KERNEL_SRC) M=$(SRC) modules_install

clean:
	$(MAKE) -C $(KERNEL_SRC) M=$(SRC) clean

